## org.red5.server.net.proxy
Class DebugProxyHandler

    java.lang.Object
      org.apache.mina.core.service.IoHandlerAdapter
          org.red5.server.net.proxy.DebugProxyHandler

All Implemented Interfaces:
  IoHandler, ResourceLoaderAware

    public class DebugProxyHandler

extends IoHandlerAdapter
implements ResourceLoaderAware

Field Summary
`protected static Logger` `log`

Constructor Summary
`DebugProxyHandler()`

Method Summary
`void` `exceptionCaught(IoSession session, Throwable cause)`
`void` `messageReceived(IoSession session, Object in)`
`void` `sessionCreated(IoSession session)`
`void` `sessionOpened(IoSession session)`
`void` `setCodecFactory(ProtocolCodecFactory codecFactory)` Setter for property 'codecFactory'.
`void` `setDumpTo(String dumpTo)` Setter for property 'dumpTo'.
`void` `setForward(String forward)` Setter for property 'forward'.
`void` `setResourceLoader(ResourceLoader loader)`

Methods inherited from class org.apache.mina.core.service.IoHandlerAdapter
`messageSent, sessionClosed, sessionIdle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static Logger log

Constructor Detail

### DebugProxyHandler

    public DebugProxyHandler()

Method Detail

### setResourceLoader

    public void setResourceLoader(ResourceLoader loader)

  Specified by:
    `setResourceLoader` in interface `ResourceLoaderAware`

### setCodecFactory

    public void setCodecFactory(ProtocolCodecFactory codecFactory)

  Setter for property 'codecFactory'.

  Parameters:
    `codecFactory` - Value to set for property 'codecFactory'.

### setForward

    public void setForward(String forward)

  Setter for property 'forward'.

  Parameters:
    `forward` - Value to set for property 'forward'.

### setDumpTo

    public void setDumpTo(String dumpTo)

  Setter for property 'dumpTo'.

  Parameters:
    `dumpTo` - Value to set for property 'dumpTo'.

### sessionOpened

    public void sessionOpened(IoSession session)
                       throws Exception

  Specified by:
    `sessionOpened` in interface `IoHandler`
  Overrides:
    `sessionOpened` in class `IoHandlerAdapter`
  Throws:
    `Exception`

### sessionCreated

    public void sessionCreated(IoSession session)
                        throws Exception

  Specified by:
    `sessionCreated` in interface `IoHandler`
  Overrides:
    `sessionCreated` in class `IoHandlerAdapter`
  Throws:
    `Exception`

### messageReceived

    public void messageReceived(IoSession session,
                                Object in)

  Specified by:
    `messageReceived` in interface `IoHandler`
  Overrides:
    `messageReceived` in class `IoHandlerAdapter`

### exceptionCaught

    public void exceptionCaught(IoSession session,
                                Throwable cause)
                         throws Exception

  Specified by:
    `exceptionCaught` in interface `IoHandler`
  Overrides:
    `exceptionCaught` in class `IoHandlerAdapter`
  Throws:
    `Exception`

Copyright © 2006-2010 The Red5 Project